package com.chenyang.nse.bussiness.entity.vo.engine;

public class EnginePropertyVO {
   private String propertyid;
   private String propertyname;
   private String propertyvalueid;
   private String propertyvalue;

   public EnginePropertyVO() {
   }

   public EnginePropertyVO(String propertyid, String propertyname, String propertyvalueid, String propertyvalue) {
      this.propertyid = propertyid;
      this.propertyname = propertyname;
      this.propertyvalueid = propertyvalueid;
      this.propertyvalue = propertyvalue;
   }

   public String getPropertyid() {
      return this.propertyid;
   }

   public void setPropertyid(String propertyid) {
      this.propertyid = propertyid;
   }

   public String getPropertyname() {
      return this.propertyname;
   }

   public void setPropertyname(String propertyname) {
      this.propertyname = propertyname;
   }

   public String getPropertyvalueid() {
      return this.propertyvalueid;
   }

   public void setPropertyvalueid(String propertyvalueid) {
      this.propertyvalueid = propertyvalueid;
   }

   public String getPropertyvalue() {
      return this.propertyvalue;
   }

   public void setPropertyvalue(String propertyvalue) {
      this.propertyvalue = propertyvalue;
   }

   public String toString() {
      return "EnginePropertyVO [propertyid=" + this.propertyid + ", propertyname=" + this.propertyname + ", propertyvalueid=" + this.propertyvalueid + ", propertyvalue=" + this.propertyvalue + ", getPropertyid()=" + this.getPropertyid() + ", getPropertyname()=" + this.getPropertyname() + ", getPropertyvalueid()=" + this.getPropertyvalueid() + ", getPropertyvalue()=" + this.getPropertyvalue() + ", getClass()=" + this.getClass() + ", hashCode()=" + this.hashCode() + ", toString()=" + super.toString() + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.propertyid == null ? 0 : this.propertyid.hashCode());
      result = 31 * result + (this.propertyname == null ? 0 : this.propertyname.hashCode());
      result = 31 * result + (this.propertyvalue == null ? 0 : this.propertyvalue.hashCode());
      result = 31 * result + (this.propertyvalueid == null ? 0 : this.propertyvalueid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         EnginePropertyVO other = (EnginePropertyVO)obj;
         if (this.propertyid == null) {
            if (other.propertyid != null) {
               return false;
            }
         } else if (!this.propertyid.equals(other.propertyid)) {
            return false;
         }

         if (this.propertyname == null) {
            if (other.propertyname != null) {
               return false;
            }
         } else if (!this.propertyname.equals(other.propertyname)) {
            return false;
         }

         if (this.propertyvalue == null) {
            if (other.propertyvalue != null) {
               return false;
            }
         } else if (!this.propertyvalue.equals(other.propertyvalue)) {
            return false;
         }

         if (this.propertyvalueid == null) {
            if (other.propertyvalueid != null) {
               return false;
            }
         } else if (!this.propertyvalueid.equals(other.propertyvalueid)) {
            return false;
         }

         return true;
      }
   }
}
